## `operator>`

Check if lhs is greater than rhs.

### Synopsis

Defined in header <boost/json/string.hpp>.

    bool
    operator>(
        string const& lhs,
        string const& rhs) noexcept;

### Description

A lexicographical comparison is used.

### Complexity

Linear in `lhs.size() + rhs.size()`.

### Exception Safety

No-throw guarantee.

Convenience header <boost/json.hpp>

Edit this page